StatisticsInputStream
InnerClasses
Ljava/lang/String;
ConstantValue
I
<init>
Code
LineNumberTable
LocalVariableTable
(ILjava/lang/String;Z)Ljava/lang/String;
e
Lcom/amazon/ebook/framework/service/comm/wan/WANConnectingException;
Lcom/amazon/ebook/framework/service/comm/WirelessSwitchOffException;
Lcom/amazon/ebook/framework/service/comm/RequiredHardwareUnavailableException;
Ljava/net/MalformedURLException;
Lcom/amazon/ebook/framework/device/comm/CommunicationException;
Ljava/lang/Exception;
Z
[Ljava/lang/String;
Exceptions
Ljava/net/HttpURLConnection;
Ljava/io/IOException;
item
Ljava/lang/StringBuffer;
(Ljava/lang/String;Ljava/lang/String;Z)Ljava/lang/String;
(Ljava/lang/String;Ljava/lang/String;ZZ)Ljava/util/List;
(Ljava/lang/String;)Ljava/util/List;
J
i
Ljava/util/List;
p
Lcom/amazon/ebook/framework/device/comm/DownloadPermissionException;
Lcom/amazon/ebook/framework/device/comm/NotEnoughDiskSpaceException;
Lcom/amazon/ebook/framework/device/comm/NoConnectionException;
Ljava/io/File;
Ljava/io/BufferedInputStream;
[B
Ljava/net/URLConnection;
Ljava/io/BufferedOutputStream;
(Ljava/io/File;)V
f
(ZLjava/lang/String;Ljava/lang/String;JJJJ)V
D
network
ConnInterfaceType
(Ljava/io/InputStream;Z)Z
Ljava/io/InputStream;
Ljava/util/Map;
(Ljava/lang/String;Ljava/lang/String;Ljava/io/File;Z)Ljava/io/File;
(Ljava/lang/String;Ljava/lang/String;ILjava/io/File;Ljava/io/File;Z)Ljava/io/File;
overwrite
(Ljava/util/List;Z)[[Ljava/io/File;
items
[[Ljava/io/File;
copyFile
(Ljava/io/File;Ljava/io/File;)Z
pos
Ljava/lang/NumberFormatException;
forced
(Ljava/lang/String;Ljava/io/InputStream;Z)Z
key
(Ljava/lang/String;Ljava/io/InputStream;Ljava/lang/String;ZZLjava/util/Map;)Z
code
url
(Ljava/net/URLConnection;Ljava/lang/String;)Z
(Ljava/io/File;)Ljava/lang/String;
file
(Ljava/lang/String;Ljava/lang/String;Z)Z
(Ljava/lang/String;ZZZ)Z
Ljava/util/HashMap;
(Ljava/lang/String;)Z
Ljava/io/UnsupportedEncodingException;
(Ljava/lang/String;Z)Z
(Ljava/lang/String;Z)Ljava/lang/String;
()J
<clinit>
()V
SourceFile
Poll
java/lang/String
cmd.get.todo.items

java/lang/StringBuffer
Response from todo: 
com/amazon/ebook/framework/service/comm/wan/WANConnectingException
com/amazon/ebook/framework/service/comm/WirelessSwitchOffException
com/amazon/ebook/framework/service/comm/RequiredHardwareUnavailableException
java/net/MalformedURLException
com/amazon/ebook/framework/device/comm/CommunicationException
java/lang/Exception
Error with submit GET
<request><items>
<item type="
" key="
" action="
" sequence="
" todo_item_reference_id="
" complete_status="
" failure_code="
" />
</items></request>
cmd.remove.todo.items
java/net/HttpURLConnection
Bad URL
java/io/IOException
Didn't succeed to retrive the response code
cmd.get.metadata
Wireless switched off, aborting
cmd.get.annotations
last_read
java/util/ArrayList
java/io/StringReader
source_device
annotation_time_utc
lto
country_code
Unknown <last_read> parameter: 
=
Bad XML is: 
Bad XML
Unable to download content.
com/amazon/ebook/framework/device/comm/DownloadPermissionException
com/amazon/ebook/framework/device/comm/NotEnoughDiskSpaceException
com/amazon/ebook/framework/device/comm/NoConnectionException
java/io/File
1
0
cmd.get.content
Connecting
Received http code 304 (Not Modified)
Received http code 503 (Service Unavailable)
Retry-After: 
retry-after
LICENSE_LIMIT_EXCEEDED
AMAZON_PERMISSIONS_ERROR
PID count exceeded
PID Count Exceeded
com/amazon/ebook/framework/device/comm/ServerException
Received server error. Http code: 
Received server error.
http url: 
com/amazon/ebook/framework/device/comm/DownloadException
ContentLength required for download
nped_version
content-disposition
unable to parse filename extension
FWUO
FWUP
CatalogUtil.pickDirectory chose an unexpected location: 
java/io/BufferedInputStream
.partdldtmp
java/io/BufferedOutputStream
Wirless Switch Turned Off
File too large
No space left on device
Read-only file system
throw NotEnoughDiskSpaceException
caught Exception while downloading 
treating as a short read.
Hint-Sidecar-Download
Hint-SSI-Available
Hint-PHL-Available
Deleting file 
An error occured while trying to delete file
({0}+{1} ms, fast-select)
java/lang/Object
({0}+{1} ms, {2,number,#.##} kb/s)
java/lang/Double
unknown
cmd.sidecar
java/util/HashMap
Content-Type
application/x-annotation-xml
gzip
mbp
tan
cmd.popular_highlight
phl
tmp
.
Unable to delete temporary download file.
Unable to rename file.
CdeAndTodoPlug.downloadFile delete tmp file 
An error occured whil trying to delete
.tmp
Unable to download file.
Download file
invalid extension
caught Exception while downloading:
An error occurred while trying to delete
An error occurred while trying to delete 
type
action
priority
is_incremental
true
sequence
todo_item_reference_id
excluded_transport_methods
java/util/LinkedList
WIFI
java/lang/Integer
WAN
Unknown <item> parameter: 
java/lang/NumberFormatException
UPD_LPRD's annotation_time_utc - parseLong failed for 
UPD_LPRD's lto - parseLong failed for 
total_count
parseInt failed because the text is not an int
next_pull_time
anonymous
full
title
SYSLOG:UPLOAD
cmd.send.syslog
cmd.send.log
Bad server info
url to send is 
upload response
server response code :
hint: 
, value: 
sendFile key is 
:
sendFile - Command=
sendFile - get response
Cannot delete last send log file
Uploading 
partial
 
non-
anonymized logs to 
X-DeviceType
X-DeviceFirmwareVersion
X-Anonymous-Tag
X-DSN
Uploading watermarks
java/io/ByteArrayInputStream
UTF-8
java/io/UnsupportedEncodingException
Unable to convert watermarks into a stream
Uploading SPH schedule
Unable to convert SPH schedule into a stream
Uploading config
com.amazon.ebook.framework
ServerConfig
java/io/FileInputStream
downloading config
CdeAndTodoPlug
TODOServer
state
ServerResponse
ServerError
message
ServiceUnavailable
TooFewBytesDownloaded
expected
read
DownloadStats
len
rate-info
UploadStats
DLPermissonsError
CannotRenameFile
tmp-file
dest-file
exists
tmp-file-hash
dest-file-hash
WirelessSwitchOff
URLError
UnknownHttpResponseError
COMPLETED
CANCELED
DEVICE_FULL
FAILED
ABORTED
DEDUPED
ASYNC
getAmazonServices
toString
(I)Ljava/lang/String;
java/lang/Long
(J)Ljava/lang/String;
RequestResult
()Z
append
(Ljava/lang/String;)Ljava/lang/StringBuffer;
()Ljava/lang/String;
(Ljava/lang/String;)V
(Ljava/lang/Throwable;)V
(Ljava/lang/StringBuffer;Ljava/lang/String;)V
()I
getResponseCode
(Ljava/lang/String;Ljava/lang/Throwable;)V
getMessage
(Ljava/io/Reader;)V
getName
java/util/Locale
US
Ljava/util/Locale;
toLowerCase
(Ljava/util/Locale;)Ljava/lang/String;
equals
(Ljava/lang/Object;)Z
equalsIgnoreCase
parseInt
(Ljava/lang/String;)I
(I)V
parseLong
(Ljava/lang/String;)J
(J)V
java/util/List
add
length
delete
java/lang/System
currentTimeMillis
(Ljava/lang/String;ZZZ)Ljava/net/URLConnection;
getErrorStream
()Ljava/io/InputStream;
(Ljava/io/InputStream;)Ljava/lang/String;
getHeaderField
(Ljava/lang/String;)Ljava/lang/String;
indexOf
(Ljava/lang/String;Ljava/lang/String;)V
(I)Ljava/lang/StringBuffer;
(Ljava/lang/String;ILjava/lang/String;)V
java/net/URLConnection
getContentLength
getHeaderFieldInt
(Ljava/lang/String;I)I
getContentType
getWebServices
(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;
com/amazon/ebook/framework/impl/Framework
startsWith
getInputStream
(Ljava/io/InputStream;)V
(C)Ljava/lang/StringBuffer;
createTempFile
(Ljava/lang/String;Ljava/lang/String;Ljava/io/File;)Ljava/io/File;
getCanonicalPath
(Ljava/io/File;)Ljava/io/FileOutputStream;
(Ljava/io/OutputStream;)V
([B)I
write
([BII)V
close
getHeaderFields
()Ljava/util/Map;
getAbsolutePath
java/text/MessageFormat
format
(Ljava/lang/String;[Ljava/lang/Object;)Ljava/lang/String;
(D)V
java/util/Map
put
(Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
getParentFile
()Ljava/io/File;
getBookletContext
getPath
(Ljava/io/File;Ljava/lang/String;)V
renameTo
(Ljava/io/File;)Z
java/lang/Boolean
(Z)Ljava/lang/String;
hashCode
get
(I)Ljava/lang/Object;
size
(Ljava/io/File;)Ljava/io/FileInputStream;
flush
(Z)V
(Ljava/util/List;)V
trim
valueOf
(Ljava/lang/String;)Ljava/lang/Boolean;
booleanValue
lastIndexOf
(I)I
substring
(II)Ljava/lang/String;
(Ljava/lang/String;)Ljava/io/InputStream;
(Ljava/lang/String;Ljava/lang/String;)J
(Ljava/lang/Object;)Ljava/lang/Object;
getGUID
(ZZ)Ljava/io/InputStream;
getBytes
(Ljava/lang/String;)[B
([B)V
separatorChar
C
java/util/TimeZone
getDefault
()Ljava/util/TimeZone;
getOffset
(J)I
(Ljava/lang/String;[Ljava/lang/String;)V
a
A
b
B
c
d
E
F
g
G
h
Lcom/amazon/ebook/util/b/i;
H
j
k
K
l
L
m
M
n
N
o
O
Lcom/amazon/ebook/util/b/e;
Lcom/amazon/ebook/framework/device/comm/a;
P
Lcom/amazon/ebook/framework/impl/booklet/a;
Lcom/amazon/ebook/framework/impl/ws/w;
Lcom/amazon/ebook/framework/impl/ws/v;
Lcom/amazon/ebook/util/c/e;
(Ljava/lang/String;)Lcom/amazon/ebook/framework/impl/ws/b/a;
Lorg/a/c/b;
Lcom/amazon/ebook/framework/impl/ws/b/a;
Lcom/amazon/ebook/framework/impl/ws/b/d;
Lcom/amazon/ebook/framework/device/comm/ws/i;
(Ljava/lang/String;Ljava/io/File;Ljava/lang/String;[Ljava/lang/String;Z)Lcom/amazon/ebook/framework/impl/ws/b/c;
Lcom/amazon/ebook/framework/kos/content/d;
Lcom/amazon/ebook/framework/impl/ws/b/c;
(Ljava/lang/String;Ljava/io/File;Ljava/lang/String;[Ljava/lang/String;ZZ)Lcom/amazon/ebook/framework/impl/ws/b/c;
Lcom/amazon/ebook/pl/service/gb;
(Ljava/lang/String;Ljava/lang/String;ZLcom/amazon/ebook/framework/impl/ws/b/c;ZZZ)Lcom/amazon/ebook/framework/impl/ws/b/c;
(Lcom/amazon/ebook/framework/impl/ws/b/d;Ljava/lang/String;Ljava/lang/String;Z)Z
(Lcom/amazon/ebook/framework/impl/booklet/a;)V
com/amazon/ebook/framework/impl/ws/w
myb
(Ljava/lang/String;)Lcom/amazon/ebook/util/b/e;
y
()Lcom/amazon/ebook/framework/impl/o;
(Lcom/amazon/ebook/pl/config/a;Lcom/amazon/ebook/pl/service/p;Lcom/amazon/ebook/pl/service/r;)Lcom/amazon/ebook/framework/impl/ws/m;
()Lcom/amazon/ebook/pl/service/r;
(Lcom/amazon/ebook/framework/kos/content/catalog/n;)Ljava/lang/String;
()Lcom/amazon/ebook/framework/kos/content/catalog/n;
(Lcom/amazon/ebook/pl/config/a;Lcom/amazon/ebook/pl/service/p;)Lcom/amazon/ebook/framework/impl/catalog/x;
()Lcom/amazon/ebook/pl/service/p;
()Lcom/amazon/ebook/pl/config/a;
NA
lA
()Lcom/amazon/ebook/framework/impl/n;
(ILcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V
(Ljava/lang/String;Ljava/io/InputStream;Lcom/amazon/ebook/framework/device/comm/f;Ljava/lang/String;Ljava/util/Map;ZZZ)Ljava/lang/Object;
(Lcom/amazon/ebook/framework/impl/ws/w;Ljava/io/InputStream;)V
(Lcom/amazon/ebook/framework/impl/ws/b/d;)V
()Lcom/amazon/ebook/framework/device/comm/ws/i;
(Lcom/amazon/ebook/framework/device/comm/ws/i;)V
(Ljava/lang/String;Ljava/util/Map;Ljava/lang/String;Ljava/lang/String;ILcom/amazon/ebook/framework/kos/content/d;II)V
(Lcom/amazon/ebook/framework/b/a;Ljava/lang/String;)Ljava/lang/String;
()Lcom/amazon/ebook/framework/b/a;
()Lcom/amazon/ebook/framework/a;
()Lcom/amazon/ebook/pl/service/gb;
()Lcom/amazon/ebook/pl/service/t;
()Lcom/amazon/ebook/pl/a;
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V
s
(Ljava/lang/String;Ljava/util/Map;Ljava/lang/String;Ljava/lang/String;ILcom/amazon/ebook/framework/kos/content/d;IIZZZ)V
()Lcom/amazon/ebook/framework/service/comm/a;
()Lcom/amazon/ebook/framework/service/a;
(Lcom/amazon/ebook/framework/b/a;IZ)Ljava/lang/String;
()Lcom/amazon/ebook/framework/impl/booklet/a;
()Lcom/amazon/ebook/framework/device/comm/ws/f;
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;)V
()Lcom/amazon/ebook/framework/kos/content/d;
(Ljava/lang/String;Ljava/lang/String;)Lcom/amazon/ebook/framework/kos/content/d;
(Ljava/lang/String;Ljava/lang/String;Lcom/amazon/ebook/framework/device/comm/f;ZZZ)Ljava/lang/Object;
Lcom/amazon/ebook/framework/device/comm/f;
Q
(Ljava/lang/String;Lcom/amazon/ebook/framework/device/comm/f;ZZZ)Ljava/lang/Object;
(Lcom/amazon/ebook/util/c/e;Ljava/lang/String;[Ljava/lang/String;)Ljava/lang/String;
()Lcom/amazon/ebook/util/c/e;
()Lcom/amazon/ebook/framework/service/b;
()Lcom/amazon/ebook/framework/device/comm/a;
com/amazon/ebook/framework/impl/ws/m
com/amazon/ebook/framework/impl/catalog/x
com/amazon/ebook/framework/impl/o
com/amazon/ebook/framework/impl/n
com/amazon/ebook/framework/a
com/amazon/ebook/framework/impl/s
com/amazon/ebook/pl/service/t
com/amazon/ebook/pl/a
com/amazon/ebook/framework/service/comm/a
com/amazon/ebook/util/c/m
com/amazon/ebook/framework/service/a
com/amazon/ebook/framework/device/comm/ws/f
com/amazon/ebook/util/f/d
com/amazon/ebook/framework/kos/content/catalog/l
com/amazon/ebook/util/f/a
com/amazon/ebook/util/b/e
com/amazon/ebook/framework/device/comm/a
com/amazon/ebook/framework/device/comm/f
com/amazon/ebook/util/f/b
com/amazon/ebook/framework/service/b
com/amazon/ebook/framework/impl/booklet/a
com/amazon/ebook/pl/service/gb
com/amazon/ebook/util/b/i
com/amazon/ebook/framework/impl/ws/v
com/amazon/ebook/framework/impl/ws/b/d
com/amazon/ebook/framework/impl/ws/b/a
com/amazon/ebook/framework/kos/content/d
com/amazon/ebook/framework/impl/ws/b/c
com/amazon/ebook/framework/device/comm/ws/i
org/a/c/b
